Bug 1339232 - Review Request: aws-sdk-java - AWS SDK for Java
Summary: Review Request: aws-sdk-java - AWS SDK for Java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 12:42 UTC by gil cattaneo
Modified: 2016-05-29 17:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-29 17:49:13 UTC
Type: ---
mizdebsk: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-05-24 12:42:23 UTC
Spec URL: https://gil.fedorapeople.org/aws-sdk-java.spec
SRPM URL: https://gil.fedorapeople.org/aws-sdk-java-1.11.3-1.fc23.src.rpm
Description:
The AWS SDK for Java enables Java developers to easily work with
Amazon Web Services and build scalable solutions with Amazon S3,
Amazon DynamoDB, Amazon Glacier, and more.
Fedora Account System Username: gil

Comment 1 Mikolaj Izdebski 2016-05-25 05:16:08 UTC
Licensing looks good now, "grep -i evil" shows no problems.

Although runtime dependencies are quite simple, split to subpackages makes sense due to large number of modules, which are about 0.5 MB in size on average (some of them are as big as 3 MB i, for EC2 API).

Although size of (all) samples is 1.3M (uncompressed), it is only small fraction of all binary packages (32 MB, compressed, not counting javadoc). Therefore, IMO, it makes sense to install samples in binary packages themselves.


Package Review
==============

Key:
- = N/A
x = Check
! = Problem

[x] rpmlint must be run on the source rpm and all binary rpms the
    build produces.  The output should be posted in the review.

[x] The package must be named according to the Package Naming
    Guidelines.

[x] The spec file name must match the base package %{name}, in the
    format %{name}.spec unless your package has an exemption.

[x] The package must meet the Packaging Guidelines.

[x] The package must be licensed with a Fedora approved license and
    meet the Licensing Guidelines.

[x] The License field in the package spec file must match the actual
    license.

[x] If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of
    the license(s) for the package must be included in %doc.

[x] The spec file must be written in American English.

[x] The spec file for the package MUST be legible.

[x] The sources used to build the package must match the upstream
    source, as provided in the spec URL.  Reviewers should use
    sha256sum for this task as it is used by the sources file once
    imported into git.  If no upstream URL can be specified for this
    package, please see the Source URL Guidelines for how to deal with
    this.

[x] The package MUST successfully compile and build into binary rpms
    on at least one primary architecture.

[x] If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the
    spec in ExcludeArch.  Each architecture listed in ExcludeArch MUST
    have a bug filed in bugzilla, describing the reason that the
    package does not compile/build/work on that architecture.  The bug
    number MUST be placed in a comment, next to the corresponding
    ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging
    Guidelines; inclusion of those as BuildRequires is optional.
    Apply common sense.

[x] The spec file MUST handle locales properly.  This is done by using
    the %find_lang macro.  Using %{_datadir}/locale/* is strictly
    forbidden.

[x] Every binary RPM package (or subpackage) which stores shared
    library files (not just symlinks) in any of the dynamic linker's
    default paths, must call ldconfig in %post and %postun.

[x] Packages must NOT bundle copies of system libraries.

[x] If the package is designed to be relocatable, the packager must
    state this fact in the request for review, along with the
    rationalization for relocation of that specific package.  Without
    this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates.  If it does
    not create a directory that it uses, then it should require a
    package which does create that directory.

[x] A Fedora package must not list a file more than once in the spec
    file's %files listings.  (Notable exception: license texts in
    specific situations.)

[x] Permissions on files must be set properly.  Executables should be
    set with executable permissions, for example.

[x] Each package must consistently use macros.

[x] The package must contain code, or permissible content.

[x] Large documentation files must go in a -doc subpackage.  (The
    definition of large is left up to the packager's best judgement,
    but is not restricted to size.  Large can refer to either size or
    quantity).

[x] If a package includes something as %doc, it must not affect the
    runtime of the application.  To summarize: If it is in %doc, the
    program must run properly if it is not present.

[x] Static libraries must be in a -static package.

[x] Development files must be in a -devel package.

[x] In the vast majority of cases, devel packages must require the
    base package using a fully versioned dependency: Requires:
    %{name}%{?_isa} = %{version}-%{release}

[x] Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.

[x] Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed
    with desktop-file-install in the %install section.  If you feel
    that your packaged GUI application does not need a .desktop file,
    you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other
    packages.  The rule of thumb here is that the first package to be
    installed should own the files or directories that other packages
    may rely upon.  This means, for example, that no package in Fedora
    should ever share ownership with any of the files or directories
    owned by the filesystem or man package.  If you feel that you have
    a good reason to own a file or directory that another package
    owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.


rpmlint output
--------------

aws-sdk-java.noarch: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
aws-sdk-java.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
aws-sdk-java-acm.noarch: W: no-documentation
aws-sdk-java-api-gateway.noarch: W: no-documentation
aws-sdk-java-applicationautoscaling.noarch: W: no-documentation
aws-sdk-java-autoscaling.noarch: W: no-documentation
aws-sdk-java-bom.noarch: W: no-documentation
aws-sdk-java-cloudfront.noarch: W: no-documentation
aws-sdk-java-cloudhsm.noarch: W: no-documentation
aws-sdk-java-cloudsearch.noarch: W: no-documentation
aws-sdk-java-cloudtrail.noarch: W: no-documentation
aws-sdk-java-cloudwatch.noarch: W: no-documentation
aws-sdk-java-cloudwatchmetrics.noarch: W: no-documentation
aws-sdk-java-codecommit.noarch: W: no-documentation
aws-sdk-java-codedeploy.noarch: W: no-documentation
aws-sdk-java-codepipeline.noarch: W: no-documentation
aws-sdk-java-cognitoidentity.noarch: W: no-documentation
aws-sdk-java-cognitoidp.noarch: W: no-documentation
aws-sdk-java-cognitosync.noarch: W: no-documentation
aws-sdk-java-config.noarch: W: no-documentation
aws-sdk-java-datapipeline.noarch: W: no-documentation
aws-sdk-java-devicefarm.noarch: W: no-documentation
aws-sdk-java-directconnect.noarch: W: no-documentation
aws-sdk-java-directory.noarch: W: no-documentation
aws-sdk-java-discovery.noarch: W: no-documentation
aws-sdk-java-dms.noarch: W: no-documentation
aws-sdk-java-ecr.noarch: W: no-documentation
aws-sdk-java-ecs.noarch: W: no-documentation
aws-sdk-java-efs.noarch: W: no-documentation
aws-sdk-java-elasticache.noarch: W: no-documentation
aws-sdk-java-elasticbeanstalk.noarch: W: no-documentation
aws-sdk-java-elasticloadbalancing.noarch: W: no-documentation
aws-sdk-java-elasticsearch.noarch: W: no-documentation
aws-sdk-java-elastictranscoder.noarch: W: no-documentation
aws-sdk-java-emr.noarch: W: no-documentation
aws-sdk-java-events.noarch: W: no-documentation
aws-sdk-java-gamelift.noarch: W: no-documentation
aws-sdk-java-glacier.noarch: W: no-documentation
aws-sdk-java-iam.noarch: W: no-documentation
aws-sdk-java-importexport.noarch: W: no-documentation
aws-sdk-java-inspector.noarch: W: no-documentation
aws-sdk-java-iot.noarch: W: no-documentation
aws-sdk-java-kinesis.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/aws-sdk-java-kinesis/AmazonKinesisFirehose/putRecordInput.txt
aws-sdk-java-kinesis.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/aws-sdk-java-kinesis/AmazonKinesisFirehose/batchPutInput.txt
aws-sdk-java-kms.noarch: W: no-documentation
aws-sdk-java-lambda.noarch: W: no-documentation
aws-sdk-java-logs.noarch: W: no-documentation
aws-sdk-java-machinelearning.noarch: W: no-documentation
aws-sdk-java-marketplacecommerceanalytics.noarch: W: no-documentation
aws-sdk-java-marketplacemeteringservice.noarch: W: no-documentation
aws-sdk-java-opsworks.noarch: W: no-documentation
aws-sdk-java-pom.noarch: W: no-documentation
aws-sdk-java-rds.noarch: W: no-documentation
aws-sdk-java-redshift.noarch: W: no-documentation
aws-sdk-java-route53.noarch: W: no-documentation
aws-sdk-java-simpleworkflow.noarch: W: no-documentation
aws-sdk-java-sns.noarch: W: no-documentation
aws-sdk-java-ssm.noarch: W: no-documentation
aws-sdk-java-storagegateway.noarch: W: no-documentation
aws-sdk-java-sts.noarch: W: no-documentation
aws-sdk-java-support.noarch: W: no-documentation
aws-sdk-java-test-utils.noarch: W: no-documentation
aws-sdk-java-waf.noarch: W: no-documentation
aws-sdk-java-workspaces.noarch: W: no-documentation
72 packages and 0 specfiles checked; 0 errors, 64 warnings.

Comment 2 gil cattaneo 2016-05-25 05:39:26 UTC
Thanks for the review!
create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/5664
https://admin.fedoraproject.org/pkgdb/package/requests/5665

Comment 3 Fedora Update System 2016-05-25 19:57:06 UTC
aws-sdk-java-1.11.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff2fe414c9

Comment 4 Fedora Update System 2016-05-26 05:01:05 UTC
aws-sdk-java-1.11.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff2fe414c9

Comment 5 Fedora Update System 2016-05-29 17:49:11 UTC
aws-sdk-java-1.11.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.